# `AffineArithmetic.jl`

[![Build Status](https://travis-ci.org/dpsanders/AffineArithmetic.jl.svg?branch=master)](https://travis-ci.org/dpsanders/AffineArithmetic.jl)

[![Coverage Status](https://coveralls.io/repos/dpsanders/AffineArithmetic.jl/badge.svg?branch=master&service=github)](https://coveralls.io/github/dpsanders/AffineArithmetic.jl?branch=master)

[![codecov.io](http://codecov.io/github/dpsanders/AffineArithmetic.jl/coverage.svg?branch=master)](http://codecov.io/github/dpsanders/AffineArithmetic.jl?branch=master)

A pure-Julia implementation of affine arithmetic.
This is a method for rigorously bounding the results of evaluating functions, extending standard interval arithmetic provided in the author's [`ValidatedNumerics.jl` package](https://github.com/dpsanders/ValidatedNumerics.jl).


## Author

- [David P. Sanders](http://sistemas.fciencias.unam.mx/~dsanders),
Departamento de Física, Facultad de Ciencias, Universidad Nacional Autónoma de México (UNAM)


## References

- [Implementation and improvements of affine arithmetic](https://www.google.com/url?sa=t&rct=j&q=&esrc=s&source=web&cd=1&cad=rja&uact=8&ved=0ahUKEwi2icCjwv7SAhVDfiwKHbX9CfoQFggcMAA&url=http%3A%2F%2Fwww.ti3.tuhh.de%2Fpaper%2Frump%2FRuKas14.pdf&usg=AFQjCNFTxm7hWrj95AQ_MvJMihElyT6kLg&sig2=tkeMyVLfhMKB82awYAePkA&bvm=bv.151426398,d.bGg) (2015),
Siegfried M. Rump and Masahide Kashiwagi

- [Self-Validated Numerical Methods and Applications](http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.36.8089) (1997),
Jorge Stolfi, Luiz Henrique De Figueiredo

## Acknowledgements

Financial support is acknowledged from DGAPA-UNAM PAPIIT grants IN-117214 and IN-117117.
